Skip to main content
POST
/
api
/
v1
/
metrics
/
citation-rate
/
cumulative
Cumulative Citation Rate
curl --request POST \
  --url https://api.athenahq.ai/api/v1/metrics/citation-rate/cumulative \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "website_id": "123e4567-e89b-12d3-a456-426614174000",
  "filters": {
    "start_date": "2024-01-01T00:00:00.000Z",
    "end_date": "2024-01-31T23:59:59.999Z",
    "location_ids": [
      "123e4567-e89b-12d3-a456-426614174111"
    ]
  }
}
'
{
  "data": {
    "Acme Corp": {
      "citation_rate": 28.5,
      "is_self": true
    },
    "Competitor Inc": {
      "citation_rate": 15.2,
      "is_self": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.athenahq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. You can create one here.

Body

application/json

Request body for citation rate endpoints

website_id
string<uuid>
required

The ID of the website to query citation rates for

Example:

"123e4567-e89b-12d3-a456-426614174000"

filters
object
required

Filters for querying responses and metrics. Pass location filters in the JSON body as filters.location_ids.

Response

Successful response with citation rate data

data
object
required